//bu sınıf sinif degiskeni kompleksi boyutlu olarak çağırır
import java.io.*; //java girdi cikti sinifini cagir
import kompleks;

class H5OD1_2000
{

public static void main(String args[]) throws IOException
{
Text cin=new Text();
int n1,n2;
System.out.print("toplam kompleks sayı, n = ");
int n=cin.readInt();
kompleks sayi[]=new kompleks[n];
kompleks toplam=new kompleks();
int i;
for(i=0;i<sayi.length;i++)
{
System.out.print("bir kompleks sayı giriniz : ");
n1=cin.readInt();
n2=cin.readInt();
sayi[i]=new kompleks(n1,n2);
}

for(i=0;i<sayi.length;i++)
{
    toplam.topla(kompleks.karekok(sayi[i]));
}
System.out.println("kompleks sayıların kareköklerinin toplamı  = "+toplam.toString());
toplam.bol(sayi.length);
System.out.println("kompleks sayıların karekoklerinin ortalaması = "+toplam.toString());
}
}
